#1678 closed enhancement (fixed)

pc386 - add boot cmd line options for console configuration

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

The patch adds --console=.... to the pc386 to allow runtime boot configuration of the console. This removes the need to configure the pc386 BSP with the correct setting and so helps rtems-testing if you forget to redirect the console to the serial port for simulator scripts.

The options are:

--console=port[,baudrate]

--console=console
--console=com1,115200
--console=com2

You can change the baud rate by adding the value after the ','. Note, no spaces.

Valid baudrates are:

115200
57600
38400
19200
9600
4800

Attachments (1)

rtems-pc386-console-opts.diff (3.6 KB) - added by Chris Johns on Aug 18, 2010 at 5:13:03 AM.
pc386 console boot option

Download all attachments as: .zip

Change History (3)

Changed on Aug 18, 2010 at 5:13:03 AM by Chris Johns

pc386 console boot option

comment:1 Changed on Aug 27, 2010 at 3:39:13 AM by Chris Johns

Resolution: fixed
Status: newclosed

Yeap, I just did.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.